:root, [data-bs-theme=light] {
  --bs-light: #fefefe;
  --bs-light-rgb: 254,254,254;
  --bs-light-text-emphasis: #666666;
  --bs-light-bg-subtle: #FFFFFF;
  --bs-light-border-subtle: #FFFFFF;
  --bs-dark: #d9d9d4;
  --bs-dark-rgb: 217,217,212;
  --bs-dark-text-emphasis: #575755;
  --bs-dark-bg-subtle: #F7F7F6;
  --bs-dark-border-subtle: #F0F0EE;
  --bs-body-color: #181818;
  --bs-body-color-rgb: 24,24,24;
  --bs-body-bg: #f8f8f8;
  --bs-body-bg-rgb: 248,248,248;
  --bs-secondary-color: rgba(24,24,24,0.75);
  --bs-secondary-color-rgb: 24,24,24,0.75;
  --bs-tertiary-color: rgba(24,24,24,0.5);
  --bs-tertiary-color-rgb: 24,24,24,0.5;
  --bs-link-color: #181818;
  --bs-link-color-rgb: 24,24,24;
  --bs-link-hover-color: #828282;
  --bs-link-hover-color-rgb: 130,130,130;
}

.btn-light {
  --bs-btn-color: #000000;
  --bs-btn-bg: #fefefe;
  --bs-btn-border-color: #fefefe;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #D8D8D8;
  --bs-btn-hover-border-color: #CBCBCB;
  --bs-btn-focus-shadow-rgb: 38,38,38;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #CBCBCB;
  --bs-btn-active-border-color: #BFBFBF;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #fefefe;
  --bs-btn-disabled-border-color: #fefefe;
}

.btn-outline-light {
  --bs-btn-color: #fefefe;
  --bs-btn-border-color: #fefefe;
  --bs-btn-focus-shadow-rgb: 254,254,254;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #fefefe;
  --bs-btn-hover-border-color: #fefefe;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #fefefe;
  --bs-btn-active-border-color: #fefefe;
  --bs-btn-disabled-color: #fefefe;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #fefefe;
}

.btn-dark {
  --bs-btn-color: #000000;
  --bs-btn-bg: #d9d9d4;
  --bs-btn-border-color: #d9d9d4;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #DFDFDA;
  --bs-btn-hover-border-color: #DDDDD8;
  --bs-btn-focus-shadow-rgb: 33,33,32;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #E1E1DD;
  --bs-btn-active-border-color: #DDDDD8;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #d9d9d4;
  --bs-btn-disabled-border-color: #d9d9d4;
}

.btn-outline-dark {
  --bs-btn-color: #d9d9d4;
  --bs-btn-border-color: #d9d9d4;
  --bs-btn-focus-shadow-rgb: 217,217,212;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #d9d9d4;
  --bs-btn-hover-border-color: #d9d9d4;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #d9d9d4;
  --bs-btn-active-border-color: #d9d9d4;
  --bs-btn-disabled-color: #d9d9d4;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #d9d9d4;
}

[data-bs-theme=dark] {
  --bs-light: #191919;
  --bs-light-rgb: 25,25,25;
  --bs-light-text-emphasis: #757575;
  --bs-light-bg-subtle: #050505;
  --bs-light-border-subtle: #0F0F0F;
  --bs-dark: #111111;
  --bs-dark-rgb: 17,17,17;
  --bs-dark-text-emphasis: #707070;
  --bs-dark-bg-subtle: #030303;
  --bs-dark-border-subtle: #0A0A0A;
  --bs-body-color: #d9d9d4;
  --bs-body-color-rgb: 217,217,212;
  --bs-body-bg: #151515;
  --bs-body-bg-rgb: 21,21,21;
  --bs-secondary-color: rgba(217,217,212,0.75);
  --bs-secondary-color-rgb: 217,217,212,0.75;
  --bs-tertiary-color: rgba(217,217,212,0.5);
  --bs-tertiary-color-rgb: 217,217,212,0.5;
  --bs-link-color: #d9d9d4;
  --bs-link-color-rgb: 217,217,212;
  --bs-link-hover-color: #f1f1f1;
  --bs-link-hover-color-rgb: 241,241,241;
}

[data-bs-theme=dark] .btn-light, .btn-light[data-bs-theme=dark] {
  --bs-btn-color: #fff;
  --bs-btn-bg: #191919;
  --bs-btn-border-color: #191919;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #151515;
  --bs-btn-hover-border-color: #141414;
  --bs-btn-focus-shadow-rgb: 221,221,221;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #141414;
  --bs-btn-active-border-color: #131313;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #191919;
  --bs-btn-disabled-border-color: #191919;
}

[data-bs-theme=dark] .btn-outline-light, .btn-outline-light[data-bs-theme=dark] {
  --bs-btn-color: #191919;
  --bs-btn-border-color: #191919;
  --bs-btn-focus-shadow-rgb: 25,25,25;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #191919;
  --bs-btn-hover-border-color: #191919;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #191919;
  --bs-btn-active-border-color: #191919;
  --bs-btn-disabled-color: #191919;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #191919;
}

[data-bs-theme=dark] .btn-dark, .btn-dark[data-bs-theme=dark] {
  --bs-btn-color: #fff;
  --bs-btn-bg: #111111;
  --bs-btn-border-color: #111111;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #0E0E0E;
  --bs-btn-hover-border-color: #0E0E0E;
  --bs-btn-focus-shadow-rgb: 219,219,219;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #0E0E0E;
  --bs-btn-active-border-color: #0D0D0D;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #111111;
  --bs-btn-disabled-border-color: #111111;
}

[data-bs-theme=dark] .btn-outline-dark, .btn-outline-dark[data-bs-theme=dark] {
  --bs-btn-color: #111111;
  --bs-btn-border-color: #111111;
  --bs-btn-focus-shadow-rgb: 17,17,17;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #111111;
  --bs-btn-hover-border-color: #111111;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #111111;
  --bs-btn-active-border-color: #111111;
  --bs-btn-disabled-color: #111111;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #111111;
}

